function HusbandryModuleFoodSpillage:load(xmlFile, configKey, rootNode, owner, baseDirectory)
    if not HusbandryModuleFoodSpillage:superClass().load(self, xmlFile, configKey, rootNode, owner, baseDirectory) then
        return false
    end
    if not hasXMLProperty(xmlFile, configKey) then
        return false
    end
    local i = 0
    while true do
        local areaKey = string.format("%s.area(%d)", configKey, i)
        if not hasXMLProperty(xmlFile, areaKey) then
            break
        end
        local start = I3DUtil.indexToObject(rootNode, getXMLString(xmlFile, areaKey .. "#startNode"))
        local width = I3DUtil.indexToObject(rootNode, getXMLString(xmlFile, areaKey .. "#widthNode"))
        local height = I3DUtil.indexToObject(rootNode, getXMLString(xmlFile, areaKey .. "#heightNode"))
        if start ~= nil and width ~= nil and height ~= nil then
            table.insert(self.spillageAreas, {start = start, width = width, height = height})
        end
        i = i + 1
    end
    local spillageFillType = getXMLString(xmlFile, configKey .. "#fillType")
    if spillageFillType ~= nil then
        local fillTypeIndex = g_fillTypeManager:getFillTypeIndexByName("MANURE")
        if fillTypeIndex ~= nil then
            self.spillageFillType = fillTypeIndex
        end
    end
    self.hasCleanliness = true
    return self.spillageFillType ~= nil and #self.spillageAreas > 0
end